<!--
/*
このファイルの中身は、NTT オープンソースライセンス　バージョン 1.0（「本
契約」という）の適用を受けます。
本契約を遵守しない限り、このファイルを使用してはなりません。
本契約のコピーは、次のＵＲＬから入手できます。
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

本契約に基づき頒布されるソフトウェアは、現状のまま、明示又は黙示のあらゆ
る種類の保証なしで、頒布されます。本契約に基づく権利及び制限を律する特定
の文言については、本契約を参照してください。

「オリジナルコード」は、 NTT Cyber Space Laboratories Code です。 
「オリジナルコード」の「初期開発者」は、日本電信電話株式会社です。  
日本電信電話株式会社により創作された部分は、Copyright (C) 2004 
日本電信電話株式会社 です。
全ての権利が留保されます。 
「コントリビュータ」：_____________________________________ 


The contents of this file are subject to the NTT Opensource License
Version 1.0 (the License); you may not use this file except in
compliance with the License. You may obtain a copy of the License at
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

Software distributed under the License is distributed on an AS IS
basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
License for the specific language governing rights and limitations
under the License.

The Original Code is NTT Cyber Space Laboratories Code .

The Initial Developer of the Original Code is NIPPON TELEGRAPH AND 
TELEPHONE CORPORATION.
Portions created by the NIPPON TELEGRAPH AND TELEPHONE CORPORATION 
are Copyright (C) 2004 NIPPON TELEGRAPH AND TELEPHONE CORPORATION. 
All Rights Reserved.

Contributor(s) ______________________________________.
*/
//-->

//
//	LMSOnly
//	変更履歴
//		2004.02.01	新規作成
//

/** SCOナビゲーションを無効とするかどうかの指定 true:無効とする, false:有効とする */
var _g_igonoreSCONavigation = false;

/**
 * SCOからのナビゲーションを有効とするかどうかを設定する
 *
 * @param status	状態を指定する。trueを指定した場合無効、falseを指定した場合有効とする。
 */
function _setIgnoreSCONavigation(status)
{
	_g_igonoreSCONavigation = status;
}

/**
 * 現在のSCOからのナビゲーションを有効とするかどうかの状態を取得する
 *
 * @return true:無効、false:有効
 */
function _getIgnoreSCONavigation()
{
	return _g_igonoreSCONavigation;
}

/**
 * SCOからのTerminate関数の完了を待機する。本関数が呼び出された時点で、Terminate関数が
 * 実行中だった場合は、50ミリ秒単位で_watchForFinish関数を呼び出し、Terminate関数の
 * 待機を待つ。10秒経過した場合はタイムアウトとし、スクリプトの実行を行う。
 *
 * @param script	Terminate関数完了時に実行するスクリプトを指定する
 * @param absolute	経過時間を指定する
 * @param interval	インターバル時間を指定する
 */
function _watchForFinish(script, absolute, interval,script2)
{
	if ((_g_currentStatus != "Running") || (absolute >= 10000)) {

		_g_currentStatus = "Not Initialized";
		_g_lastError = "0";
		_g_errorString = "";
		_g_igonoreSCONavigation = false;

		if(navSusFlag){
			eval(script2);
		}else{
			eval(script);
		}
		return;
	}

	absolute += interval;

	setTimeout("_watchForFinish(\"" + script + "\", " + absolute + ", " + interval + ");", interval);
}

/**
 * SCOからのTerminate関数の完了を待機する。本関数が呼び出された時点で、Terminate関数が
 * 実行中だった場合は、100ミリ秒単位で_watchForFinish関数を呼び出し、Terminate関数の
 * 待機を待つ
 *
 * @param script	Terminate関数完了時に実行するスクリプトを指定する
 */
function _waitForFinish(script,script2)
{
	if (_g_currentStatus != "Running") {
		_watchForFinish(script, 0, 0,script2);
		return;
	}

	var	interval, absolute;
	interval = absolute = 50;

	setTimeout("_watchForFinish(\"" + script + "\", " + absolute + ", " + interval + ",\"" + script2 + "\");", interval);
}
